Bug 1005688 - Defaults for --width and --height make no sense when --mm is used
Defaults for --width and --height make no sense when --mm is used
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: fedora-business-cards (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ian Weller
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 03:46 EDT by Pierre-YvesChibon
Modified: 2016-07-19 06:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:21:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre-YvesChibon 2013-09-09 03:46:23 EDT
Using --width and --height I only managed to produce weird looking business cards

For example:
$fedora-business-cards --pdf fedora -u pingou --mm --height=85 --width=55
-> Width seems fine (although the Fedora and the 4F are over each other), height completely broken, looks like an A4 at the end

I tried to convert the size from mm to inch:
$ fedora-business-cards --pdf fedora -u pingou --height=3.46457 --width=2.28346
-> Pretty much the same result

Using only the height or the width:
$ fedora-business-cards --pdf fedora -u pingou --height=3.46457
-> Looks almost square

$ fedora-business-cards --pdf fedora -u pingou --width=58 --mm
-> Only end up with a thin horizontal band
$ fedora-business-cards --pdf fedora -u pingou  --height=88 --mm
-> Only end up with a thin vertical band
Comment 1 Ian Weller 2013-09-09 03:55:21 EDT
(In reply to Pierre-YvesChibon from comment #0)
> For example:
> $fedora-business-cards --pdf fedora -u pingou --mm --height=85 --width=55
> -> Width seems fine (although the Fedora and the 4F are over each other),
> height completely broken, looks like an A4 at the end

You have width and height swapped.

> Using only the height or the width:
> $ fedora-business-cards --pdf fedora -u pingou --height=3.46457
> -> Looks almost square
> 
> $ fedora-business-cards --pdf fedora -u pingou --width=58 --mm
> -> Only end up with a thin horizontal band
> $ fedora-business-cards --pdf fedora -u pingou  --height=88 --mm
> -> Only end up with a thin vertical band

This is actually a bug, and is caused by the default values for --width and --height being 3.5 and 2 respectively, which are interpreted as 3.5 mm and 2 mm respectively when the --mm switch is passed in.
Comment 2 Jaroslav Reznik 2015-03-03 11:55:03 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 3 Fedora End Of Life 2016-07-19 06:21:40 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.